List accounts
curl --request GET \
--url https://api.conduit.financial/accounts \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://api.conduit.financial/accounts"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://api.conduit.financial/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "acct_2fvietuCNSu8unMNLsEGBrDTVFn",
"balances": {
"available": [
{
"asset": "USD",
"amount": "150.320000"
},
{
"asset": "USDC",
"network": "ethereum",
"amount": "90.000000"
},
{
"asset": "USDT",
"network": "ethereum",
"amount": "0"
},
{
"asset": "USDT",
"network": "tron",
"amount": "150.320000"
}
]
},
"createdAt": "2024-10-27T00:00:00.000Z"
}
],
"links": {
"first": "/accounts",
"next": null
}
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Accounts
List accounts
List existing accounts
GET
/
accounts
List accounts
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Query Parameters
The number of items to return per page.
Pattern:
^[0-9]*$Example:
"0"
The cursor to start the page after.
Pattern:
^acct_[a-zA-Z0-9]{27}$Example:
"acct_2ofTA5mz0T91pBmD3tMTeLE7T4X"
⌘I

